/*

  libkohn_rtsp - Copyright 2011 by Michael Kohn
  http://www.mikekohn.net/
  mike@mikekohn.net

  Source distributed under the LGPL license.

*/

#ifndef KOHN_RTP_THREAD_H
#define KOHN_RTP_THREAD_H

#define KOHN_RTSP_POLL_TIMEOUT_MS 1000
#define KOHN_RTSP_RTCP_RR_INTERVAL_S 30
#define KOHN_RTSP_RTCP_SR_INTERVAL_S 120
#define KOHN_RTSP_BUFFER_RTP_COUNT 30
#define KOHN_RTSP_BUFFER_RTP_SIZE 1500
#define KOHN_RTSP_OUT_OF_ORDER_MAX 3

struct _buffered_rtp
{
  struct _buffered_rtp *next;
  struct _kohn_rtsp *kohn_rtsp;
  int seq;
  int len;
  int marker;
  int offset;
  unsigned char rtp[KOHN_RTSP_BUFFER_RTP_SIZE];
};

int kohn_rtsp_is_rtp_thread_running();
int kohn_rtsp_start_rtp(struct _kohn_rtsp *kohn_rtsp);

#endif


